/***************************************************************************
                          system.h  -  system-specific
                             -------------------
    begin                : Thu Mar 1 2001
    copyright            : (C) 2001 by Simon Collis
    email                : lunarship@yahoo.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <stdlib.h>
#include <stdio.h>

#ifndef SYSNAME
#ifdef WIN32
#define PATH_SEPARATOR ';'
#define PATH_SLASH '\\'
#define SYSNAME "WIN32"
#endif
#endif

#ifndef SYSNAME
#ifdef OS2
#define PATH_SEPARATOR ';'
#define PATH_SLASH '\\'
#define SYSNAME "OS/2"
#endif
#endif

#ifndef SYSNAME
#ifdef MSDOS
#define PATH_SEPARATOR ';'
#define PATH_SLASH '\\'
#define SYSNAME "DOS"
#endif
#endif

#ifndef SYSNAME
#ifdef AMIGA
#define PATH_SEPARATOR ';'
#define PATH_SLASH '/'
#define SYSNAME "AmigaDOS"
#endif
#endif

#ifndef SYSNAME
#define PATH_SEPARATOR ':'
#define PATH_SLASH '/'
#define SYSNAME "Generic"
#endif

/* This is to cope with non-100% ANSI stdlib.h/stdio.h (e.g. L*tt*ce) */
#ifndef EXIT_FAILURE
#define EXIT_FAILURE (999)
#define EXIT_SUCCESS (0)
#endif

#ifndef size_t
#define size_t int
#endif
